
@echo off
rem *** Script should run with privileges elevated to administrator one's! ***

rem *** Following line insures that when batch script is called with elevated privileges that it's run in its directory and not c:\Windows\system32 ! ***

@setlocal enableextensions
cd /d "%~dp0"

rem *** Install self-signed certificate to Trusted Publishers certificate store. ***
certutil -addstore "TrustedPublisher" AtosWL_SA_ss.cer

rem *** Install self-signed certificate to Trusted Root Certification Authorities certificate store. ***
certutil -addstore "Root" AtosWL_SA_ss.cer

IF "%PROCESSOR_ARCHITECTURE%" == "AMD64" GOTO ITS64
GOTO ITS86

:ITS64
start dpinst_x64.exe /l 0x0409 /s /sa /se /c
GOTO END

:ITS86
start dpinst_x86.exe /l 0x0409 /s /sa /se /c
pause
GOTO END

:END
